## org.eclipse.datatools.enablement.ingres.models.ingressqlmodel
Interface IngresSchema

All Superinterfaces:
  org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.ENamedElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier, Schema, SQLObject

All Known Implementing Classes:
  IngresSchemaImpl

    public interface IngresSchema

extends Schema

A representation of the model object 'Ingres Schema'.

The following features are supported:

- `DB Events`
- `Synonyms`

See Also:
  `IngressqlmodelPackage.getIngresSchema()`

Field Summary
`static java.lang.String` `copyright`

Method Summary
`org.eclipse.emf.common.util.EList` `getDBEvents()` Returns the value of the 'DB Events' reference list.
`org.eclipse.emf.common.util.EList` `getSynonyms()` Returns the value of the 'Synonyms' reference list.

Methods inherited from interface org.eclipse.datatools.modelbase.sql.schema.Schema
`getAssertions, getBuiltInFunctions, getCatalog, getCharSets, getDatabase, getIndices, getOwner, getProcedures, getRoutines, getSequences, getTables, getTriggers, getUDFs, getUserDefinedTypes, setCatalog, setDatabase, setOwner`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.schema.SQLObject
`addEAnnotation, addEAnnotationDetail, getComments, getDependencies, getDescription, getEAnnotation, getEAnnotationDetail, getExtensions, getLabel, getPrivileges, removeEAnnotationDetail, setAnnotationDetail, setDescription, setLabel`

Methods inherited from interface org.eclipse.emf.ecore.ENamedElement
`getName, setName`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Field Detail

### copyright

    static final java.lang.String copyright

  See Also:
    Constant Field Values

Method Detail

### getDBEvents

    org.eclipse.emf.common.util.EList getDBEvents()

  Returns the value of the 'DB Events' reference list. The list contents are of type `IngresDBEvent`. It is bidirectional and its opposite is '`Schema`'.

  If the meaning of the 'DB Events' reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'DB Events' reference list.
  See Also:
    `IngressqlmodelPackage.getIngresSchema_DBEvents()`, `IngresDBEvent.getSchema()`

### getSynonyms

    org.eclipse.emf.common.util.EList getSynonyms()

  Returns the value of the 'Synonyms' reference list. The list contents are of type `IngresSynonym`. It is bidirectional and its opposite is '`Schema`'.

  If the meaning of the 'Synonyms' reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Synonyms' reference list.
  See Also:
    `IngressqlmodelPackage.getIngresSchema_Synonyms()`, `IngresSynonym.getSchema()`